<?php
namespace Bushelpowered\Api\Aggregator\Config\V1\Response;
        
class GetAppConfigForSlugDataResponse 
{
    /** @var \Bushelpowered\Api\Aggregator\Config\V1\Response\GetAppConfigBrandResponse $branding */
    public \Bushelpowered\Api\Aggregator\Config\V1\Response\GetAppConfigBrandResponse $branding;
    /** @var \Bushelpowered\Api\Aggregator\Config\V1\Model\TenantConfigListItem[] $config */
    public array $config;
    /** @var \Bushelpowered\Api\Aggregator\Config\V1\Response\NavigationResponse $navigation */
    public \Bushelpowered\Api\Aggregator\Config\V1\Response\NavigationResponse $navigation;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Config\V1\Response\GetAppConfigBrandResponse  $branding 
     * @param  \Bushelpowered\Api\Aggregator\Config\V1\Model\TenantConfigListItem[]  $config 
     * @param  \Bushelpowered\Api\Aggregator\Config\V1\Response\NavigationResponse  $navigation 
     */
    public function __construct(\Bushelpowered\Api\Aggregator\Config\V1\Response\GetAppConfigBrandResponse $branding, array $config, \Bushelpowered\Api\Aggregator\Config\V1\Response\NavigationResponse $navigation)
    {
        $this->branding = $branding;
        $this->config = $config;
        $this->navigation = $navigation;
    }
    

}