<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Response;
        
class LookupResourcesForSubjectsResponse 
{
    /** @var \Bushelpowered\Api\Iam\Access\Evaluate\V1\Response\SubjectPermissionResult[] $results A list of results grouped by subject, where each subject's entry includes the subject ID and a list of authorized resources for the requested permission(s). Each resource entry provides tenant IDs, location IDs, account IDs, the specific permission, and whether the subject has root-level access.*/
    public array $results;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Evaluate\V1\Response\SubjectPermissionResult[]  $results A list of results grouped by subject, where each subject's entry includes the subject ID and a list of authorized resources for the requested permission(s). Each resource entry provides tenant IDs, location IDs, account IDs, the specific permission, and whether the subject has root-level access.
     */
    public function __construct(array $results)
    {
        $this->results = $results;
    }
    

}