<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Response;
        
class SyncUserAccountResponse 
{
    /** @var string $accountId The account identifier.*/
    public string $accountId;
    /** @var string $companySlug The account company slug.*/
    public string $companySlug;
    /** @var string $sourceAccountId The source account identifier.*/
    public string $sourceAccountId;

    /**
     * @param  string  $accountId The account identifier.
     * @param  string  $companySlug The account company slug.
     * @param  string  $sourceAccountId The source account identifier.
     */
    public function __construct(string $accountId, string $companySlug, string $sourceAccountId)
    {
        $this->accountId = $accountId;
        $this->companySlug = $companySlug;
        $this->sourceAccountId = $sourceAccountId;
    }
    

}