<?php
namespace Bushelpowered\Api\Platform\Message\V1\Request;
        
class DirectTarget 
{
    /** @var \Bushelpowered\Api\Platform\Message\V1\Response\IdentifierType $identifierType */
    public \Bushelpowered\Api\Platform\Message\V1\Response\IdentifierType $identifierType;
    /** @var string $identifier The exact target data to send to (email address or EIN phone number for SMS)*/
    public string $identifier;

    /**
     * @param  \Bushelpowered\Api\Platform\Message\V1\Response\IdentifierType  $identifierType 
     * @param  string  $identifier The exact target data to send to (email address or EIN phone number for SMS)
     */
    public function __construct(\Bushelpowered\Api\Platform\Message\V1\Response\IdentifierType $identifierType, string $identifier)
    {
        $this->identifierType = $identifierType;
        $this->identifier = $identifier;
    }
    

}