<?php
namespace Bushelpowered\Api\Common;
        
interface HasTimestamps
{
        /**
         * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getcreatedAt(): string;
        /**
         * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getupdatedAt(): string;
        /**
         * @return null|string Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getdeletedAt(): ?string;
}