<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class GetAssignedTasksRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Crm\V1\Request\TaskFilters $filter */
    public ?\Bushelpowered\Api\Crm\V1\Request\TaskFilters $filter = null;
    /** @var null|\Bushelpowered\Api\Crm\V1\Request\AssignedTaskPagination $pagination */
    public ?\Bushelpowered\Api\Crm\V1\Request\AssignedTaskPagination $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Crm\V1\Request\TaskFilters  $filter 
     * @param  null|\Bushelpowered\Api\Crm\V1\Request\AssignedTaskPagination  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Crm\V1\Request\TaskFilters $filter, ?\Bushelpowered\Api\Crm\V1\Request\AssignedTaskPagination $pagination)
    {
        $this->filter = $filter;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Crm\V1\Request\AssignedTaskPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Crm\V1\Request\AssignedTaskPagination
    {
        return $this->pagination;
    }
}