<?php
namespace Bushelpowered\Api\Payments\V1\Model;
        
class PaymentAssociation 
{
    /** @var int $centreId The centre id of the association*/
    public int $centreId;
    /** @var \Bushelpowered\Api\Payments\V1\Enums\AssociationType $associationType */
    public \Bushelpowered\Api\Payments\V1\Enums\AssociationType $associationType;

    /**
     * @param  int  $centreId The centre id of the association
     * @param  \Bushelpowered\Api\Payments\V1\Enums\AssociationType  $associationType 
     */
    public function __construct(int $centreId, \Bushelpowered\Api\Payments\V1\Enums\AssociationType $associationType)
    {
        $this->centreId = $centreId;
        $this->associationType = $associationType;
    }
    

}