<?php
namespace Bushelpowered\Api\Platform\File\V1;
        
class DeleteFileMetadata
{
    public function __construct(
        public ?string $requiredAuthorization,
				public ?string $requiredTenant,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorization) {
            $array['Authorization'] = $this->requiredAuthorization;
        }
    
        if ($this->requiredTenant) {
            $array['X-Bushel-Tenant'] = $this->requiredTenant;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}